Page Summary
-
Creates a new LineRotation resource within a specified network and line using a POST request.
-
Requires a parent resource in the format "networks/{network}/lines/{line}" and a unique lineRotationId as parameters.
-
The request body should contain a LineRotation object defining the rotation details.
-
A successful response returns the newly created LineRotation object.
Creates a LineRotation.
HTTP request
POST https://middlemileoptimization.googleapis.com/v1/{parent=networks/*/lines/*}/rotations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this line rotation will be created. Format: "networks/{network}/lines/{line}" |
Query parameters
| Parameters | |
|---|---|
line |
Required. Identifier of the line rotation to create. |
Request body
The request body contains an instance of LineRotation.
Response body
If successful, the response body contains a newly created instance of LineRotation.